<?php

// require_once '../config.php'; // Include your database connection code here
require_once 'functions.php'; // Include your database connection code here


// Set headers for JSON responses
header('Content-Type: application/json');

// Get the requested URL path
$requestUri = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);
$requestMethod = $_SERVER['REQUEST_METHOD'];

// Define an array of routes and their corresponding PHP files
$routes = [
    'POST' => [
      '/webservices/api/' => 'home.php',

      '/webservices/api/login' => 'post-login.php',
      '/webservices/api/register' => 'post-register.php',

    ],
    'GET' => [
    ],
];


// Check if the requested route exists in the routes array
if (isset($routes[$requestMethod][$requestUri]))
{
    // Call the corresponding handler function for the route
    require_once($routes[$requestMethod][$requestUri]);
}
else {
    // Handle a 404 Not Found error if the route is not found
    http_response_code(404);
    echo json_encode(['error' => 'Route not found','route' => $requestUri, 'method' => $requestMethod]);
}
