<?php

require_once 'functions.php'; // Include your database connection and other utility functions

// Check if the request method is POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Read the JSON input from the request body
    $inputJSON = file_get_contents('php://input');
    $input = json_decode($inputJSON, true);

    // Check if the required fields are present
    if (!isset($input['email']) || !isset($input['password'])) {
        http_response_code(400); // Bad request
        echo json_encode(['error' => 'Missing email or password']);
        exit;
    }

    // Extract email and password from the request
    $email = $input['email'];
    $password = $input['password'];

    // Call a function to validate the login credentials
    $user = authenticateUser($email, $password);

    if ($user) {

        // Respond with a success message and the user data
        http_response_code(200); // OK
        echo json_encode($user);

    } else {
        // Respond with an error message for invalid credentials
        http_response_code(401); // Unauthorized
        echo json_encode(['error' => 'Invalid credentials']);
    }
} else {
    // Respond with an error for unsupported HTTP methods
    http_response_code(405); // Method Not Allowed
    echo json_encode(['error' => 'Method not allowed']);
}


?>
